Summary:        Convert HTML documents into PDF or PS format
Name:           htmldoc
Version:        1.9.8
Release:        %mkrel 1
License:        GPLv2
Group:          File tools
URL:            http://michaelrsweet.github.io/htmldoc/
Source0:        https://github.com/michaelrsweet/htmldoc/releases/download/v%{version}/htmldoc-%{version}-source.tar.gz
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  fltk-devel
BuildRequires:  pkgconfig(xext)
Requires:       fltk

%description
HTMLDOC allows you to convert HTML documents into PDF or PostScript.
Links and some specific features of PDF format can be used.

%package        nogui
Summary:        Convert HTML documents into PDF or PS format
Group:          File tools

%description    nogui
This package contains the non-GUI version of %{name}.

%prep

%setup -q
%autopatch -p1

%build
# first build the non gui version
%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --without-gui

%make_build
mv htmldoc/htmldoc htmldoc-nogui
make clean

%configure \
    --disable-rpath \
    --disable-localpng \
    --disable-localjpeg \
    --disable-localzlib \
    --with-gui \
    --with-openssl-libs \
    --with-openssl-includes

%make_build

%install
make install

install -d %{buildroot}%{_bindir}
install -m0755 htmldoc-nogui %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=HTMLDoc
Comment=Convert HTML files to PDF or PostScript
Comment[fr]=Convertir des fichiers HTML en PDF ou en PostScript
Exec=%{_bindir}/%{name}
Icon=publishing_section
Terminal=false
Type=Application
StartupNotify=true
MimeType=text/html;
Categories=FileTools;Utility;
EOF

%files
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc
%{_mandir}/man1/*
%{_docdir}/%{name}/help.html
%{_docdir}/%{name}/htmldoc.pdf
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/mageia-%{name}.desktop

%files nogui
%doc CHANGES.md README.md COPYING
%{_bindir}/htmldoc-nogui


%changelog
* Thu Apr 09 2020 shlomif <shlomif> 1.9.8-1.mga8
+ Revision: 1565790
- New version 1.9.8

* Tue Feb 18 2020 umeabot <umeabot> 1.9.7-2.mga8
+ Revision: 1540795
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 16 2019 daviddavid <daviddavid> 1.9.7-1.mga8
+ Revision: 1468361
- new version: 1.9.7
- add/rebase upstream patch to fix CVE-2019-19630 (mga#25876)
- add French Comment from desktop file

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-2.mga7
+ Revision: 1298214
- Mageia 7 Mass Rebuild

* Mon Apr 16 2018 shlomif <shlomif> 1.9.3-1.mga7
+ Revision: 1219381
- New version 1.9.3

* Tue Apr 03 2018 shlomif <shlomif> 1.9.2-1.mga7
+ Revision: 1215071
- New version 1.9.2

* Mon Jul 17 2017 shlomif <shlomif> 1.9-1.mga7
+ Revision: 1124427
- New version 1.9

* Sat Apr 16 2016 shlomif <shlomif> 1.8.29-1.mga6
+ Revision: 1002941
- New version 1.8.29

* Wed Mar 02 2016 umeabot <umeabot> 1.8.27-21.mga6
+ Revision: 983472
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.8.27-20.mga6
+ Revision: 954333
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.8.27-19.mga6
+ Revision: 892639
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.8.27-18.mga6
+ Revision: 748551
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.27-17.mga5
+ Revision: 680185
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.8.27-16.mga4
+ Revision: 526144
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.8.27-15.mga4
+ Revision: 435966
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.8.27-14.mga3
+ Revision: 353305
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 fwang <fwang> 1.8.27-13.mga2
+ Revision: 142816
- build with libpng 1.5

* Mon Jul 11 2011 fwang <fwang> 1.8.27-12.mga2
+ Revision: 122109
- rebuild for new fltk

* Wed Jan 12 2011 dmorgan <dmorgan> 1.8.27-11.mga1
+ Revision: 7258
- add libxext-devel as BuildRequires
- imported package htmldoc

